返回 登录
4

Apache HTTP Server 2.4.26发布

阅读2661

原文:Apache HTTP Server 2.4.26 Released
翻译:王江平

Apache软件基金会和Apache HTTP Server项目组宣布Apache HTTP Server(“Apache”)2.4.26版本正式发布。 此版本的Apache是Apache HTTPD的新一代2.4.x分支的最新GA版本,代表了该项目十五年以来的创新,并超过历年的所有版本。 此版本的Apache是一款在安全性,功能和错误方面的修复版本。


id

该版本是Apache可用的最佳版本,并鼓励所有旧版本的用户进行升级。

Apache HTTP Server 2.4.26可从以下网站下载:

           http://httpd.apache.org/download.cgi

请参阅从下载页面链接的CHANGES_2.4
文件,以获取完整的更改列表。 简明列表CHANGES_2.4.26仅包括自2.4以前版本引入的更改。 有关此版本及早期版本中解决的所有安全漏洞的摘要可用:

           http://httpd.apache.org/security/vulnerabilities_24.html

此版本需要Apache Portable Runtime(APR),最低版本为1.5.x和APR-Util,最小版本为1.5.x。 某些功能可能需要APR和APR-Util的1.6.x版本。 必须升级APR库才能使 httpd 的所有功能正常运行。

Apache HTTP Server 2.4提供了2.2版本的一些改进和增强功能。 这些功能的列表和描述可通过以下方式获得:

           http://httpd.apache.org/docs/2.4/new_features_2_4.html

此版本基于Apache 2.2 API 做了扩展。 为Apache 2.2编写的模块需要重新编译才能运行Apache 2.4,并且需要最少或没有源代码的更改。

           http://svn.apache.org/repos/asf/httpd/httpd/branches/2.4.x/VERSIONING

升级或安装此版本的Apache时,请记住,如果您打算将 apache 与一个线程 MPMs (除 Prefork mpm) 一起使用,则必须确保您将要使用的任何模块(以及它们依赖的库)是线程安全的。

请注意,Apache Web Server Project将仅在2017年6月之前提供2.2.x版本的维护版本,截止到2017年12月,提供一些安全修补程序。 期间,预计将有2.2.x 的最低维护补丁,并强烈鼓励用户及时完成向httpd的2.4.x风格的转换,获得更好的性能服务。

评论